import 'package:dartex/dartex.dart';
import 'package:flutter/foundation.dart';
import 'package:vector_math/vector_math_64.dart';

class Origin with Component<Origin> {
  Vector3 offset;

  Origin({@required this.offset});

  @override
  Origin copy() {
    return Origin(offset: this.offset);
  }

  @override
  Origin copyWith({Vector3 offset}) {
    return Origin(offset: offset ?? this.offset);
  }
}
